<nav class="navbar navbar-default navbar-fixed-top" role="navigation">
  <div class="rs-header">
    <!-- Brand and toggle get grouped for better mobile display -->
    <div class="navbar-header">
      <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#rs-navbar"
        aria-expanded="false" aria-controls="rs-navbar" aria-label="Toggle navigation">
        <span class="sr-only">Toggle navigation</span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
      </button>
      <a class="rs-header-logo" href="/">ISMI</a>
    </div>

    <!-- Collect the nav links, forms, and other content for toggling -->
    <div class="collapse navbar-collapse" id="rs-navbar">

      <ul class="nav navbar-nav">
        <li title="List all texts">
          <a href="/resource/:listTexts"
              class="rs-body-m-B" style="padding-left: 60px;">
            Texts
          </a>
        </li>
        <li title="List all persons">
          <a href="/resource/:listPersons"
              class="rs-body-m-B">
            Persons
          </a>
        </li>
        <li title="List all witnesses">
          <a href="/resource/:listWitnesses"
              class="rs-body-m-B">
            Witnesses
          </a>
        </li>
        <li title="List all codices">
          <a href="/resource/:listCodices"
              class="rs-body-m-B">
            Codices
          </a>
        </li>
      </ul>

      <ul class="nav navbar-nav icon-btns-container">
        <li class="rs-xs-none">
          <a href="https://documentation.researchspace.org/resource/rsp:Start" title="Documentation" target="_blank">
            <div class="nav-iconAndLabel"> 
              <i class="fa fa-question-circle"></i>
              <div>Help</div>
            </div>
          </a>
        </li>
        <li class="rs-only-xs">
          <a href="https://documentation.researchspace.org/resource/rsp:Start" title="Documentation" target="_blank">
            Help
          </a>
        </li>

        <mp-has-permission permission="api:config">
          <li class="rs-only-xs">
            <semantic-link iri="http://www.researchspace.org/resource/admin" title="System Settings">
              Settings
            </semantic-link>
          </li>
        </mp-has-permission>
        <mp-has-permission permission="api:config">
          <li class="rs-xs-none">
            <semantic-link iri="http://www.researchspace.org/resource/admin" title="System Settings">
              <div class="nav-iconAndLabel"> 
                <i class="fa fa-cog"></i>
                <div>Settings</div>
            </div>
            </semantic-link>
          </li>
        </mp-has-permission>

        <li>
          <mp-anonymous-hidden alt='<li><a href="/login" title="login">
                                      <div class="nav-iconAndLabel"> 
                                        <i class="rs-icon rs-icon-user_round"></i>
                                        <div>Login</div>
                                      </div>
                                  </a></li>'>
            <bs-dropdown id="iconAndText-dropdown" class="align-right-dropdown">
              <bs-dropdown-toggle>
                <div class="navDropdown-iconAndLabel"> 
                    <i class="rs-icon rs-icon-user_round"></i>
                    <div>Account</div>
                </div>
              </bs-dropdown-toggle>
              <bs-dropdown-menu>
                <bs-menu-item title='userPrincipal'>
                    <semantic-query
                      query='SELECT ?userName { BIND(REPLACE(REPLACE(STR(?__useruri__), STR(User:), ""), "%40", "@") as ?userName) }'
                      template='\{{> template}}'>
                      <template id='template'>
                        {{!-- <semantic-link-container uri='\{{bindings.0.__useruri__.value}}'> --}}
                          <div class="user-dropdown_item">
                            <i class="rs-icon rs-icon-user_round rs-xs-none"></i>
                            <span>\{{bindings.0.userName.value}}</span>
                          </div>
                        {{!-- </semantic-link-container> --}}
                      </template>
                    </semantic-query>
                </bs-menu-item>
                <bs-menu-item href="/logout" title='logout'>
                    <div class="user-dropdown_item">
                      <i class="rs-icon rs-icon-logout rs-xs-none"></i>
                      <span>Logout</span>
                    </div>
                </bs-menu-item>
              </bs-dropdown-menu>
            </bs-dropdown>
          </mp-anonymous-hidden>
        </li>

      </ul>
    </div>
  </div>
</nav>
